Bug 227420 - RELEASE_ASSERT hit in NetworkSessionCocoa::removeWebSocketTask when using WKWebViewConfiguration._attributedBundleIdentifier
Summary: RELEASE_ASSERT hit in NetworkSessionCocoa::removeWebSocketTask when using WKW...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alex Christensen
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-06-25 23:17 PDT by Alex Christensen
Modified: 2021-06-28 09:39 PDT (History)
2 users (show)

See Also:


Attachments
Patch (9.11 KB, patch)
2021-06-25 23:22 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (20.38 KB, patch)
2021-06-26 13:19 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (20.34 KB, patch)
2021-06-26 13:34 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Christensen 2021-06-25 23:17:26 PDT
RELEASE_ASSERT hit in NetworkSessionCocoa::removeWebSocketTask when using WKWebViewConfiguration._attributedBundleIdentifier
Comment 1 Alex Christensen 2021-06-25 23:22:32 PDT
Created attachment 432321 [details]
Patch
Comment 2 Alex Christensen 2021-06-25 23:22:35 PDT
<rdar://problem/79609212>
Comment 3 Alex Christensen 2021-06-26 08:17:10 PDT
Comment on attachment 432321 [details]
Patch

This is close but not quite correct if a NetworkSocketChannel is using the default session set.  I think we are going to need to have NetworkSocketChannel keep a WeakPtr to the SessionSet.
Comment 4 Alex Christensen 2021-06-26 13:19:47 PDT
Created attachment 432335 [details]
Patch
Comment 5 Alex Christensen 2021-06-26 13:34:12 PDT
Created attachment 432336 [details]
Patch
Comment 6 EWS 2021-06-28 09:39:25 PDT
Committed r279340 (239208@main): <https://commits.webkit.org/239208@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 432336 [details].